package com.game.business.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.game.common.annotation.Excel;
import com.game.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 游戏开奖记录（备份）对象 app_game_lottery_history
 *
 * @author game
 * @date 2025-01-09
 */
@ApiModel(value = "app_game_lottery_history", description = "游戏开奖记录（备份）")
@TableName(value= "app_game_lottery_history")
@Data
public class AppGameLotteryHistory
        {
private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id" , type = IdType.AUTO)
    private Long id;

    /** 游戏类型ID */
    @ApiModelProperty(value = "游戏类型ID")
    @Excel(name = "游戏类型ID")
    @TableField(value = "class_id")
    private Long classId;

    /** 游戏ID */
    @ApiModelProperty(value = "游戏ID")
    @Excel(name = "游戏ID")
    @TableField(value = "game_id")
    private Long gameId;

    /** 游戏期号 */
    @ApiModelProperty(value = "游戏期号")
    @Excel(name = "游戏期号")
    @TableField(value = "game_date")
    private String gameDate;

    /** 是否开奖 0 否 1 是 */
    @ApiModelProperty(value = "是否开奖 0 否 1 是")
    @Excel(name = "是否开奖 0 否 1 是")
    @TableField(value = "is_lottery")
    private Integer isLottery;

    /** 开奖选项 */
    @ApiModelProperty(value = "开奖选项")
    @Excel(name = "开奖选项")
    @TableField(value = "game_lottery_succ")
    private String gameLotterySucc;

    /** 记录时间 */
    @ApiModelProperty(value = "记录时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "记录时间" , width = 30, dateFormat = "yyyy-MM-dd")
    @TableField(value = "game_record_date")
    private Date gameRecordDate;

}